API ReferenceCollections
Create a typed collection as an org admin
Create a typed collection as an org admin - Rensei REST API operation reference.
POST
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
application/json- body
projectId*stringLength
1 <= length <= 128name*stringMatch
^[a-z][a-z0-9_-]{0,63}$keyField*stringLength
1 <= length <= 128schema*retentionClass*stringValue in
"public""internal""confidential""restricted"agentWrite*stringValue in
"none""append""write"indexEmbed?array<>Items
items <= 32Success
application/json- response
indexEmbed*array<string>|nullid*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidorgId*stringprojectId*stringname*stringkeyField*stringretentionClass*stringagentWrite*stringValue in
"none""append""write"schemaVersion*integerRange
-9007199254740991 <= value <= 9007199254740991createdAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeschema?curl -X POST 'https://app.rensei.ai/api/collections' \ -H 'Content-Type: application/json' \ -d '{ "projectId": "string", "name": "string", "keyField": "string", "schema": { "property1": "string", "property2": "string" }, "retentionClass": "public", "agentWrite": "none"}'Example Response
{ "indexEmbed": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "orgId": "string", "projectId": "string", "name": "string", "keyField": "string", "retentionClass": "string", "agentWrite": "none", "schemaVersion": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "schema": { "property1": "string", "property2": "string" }}